Bug 82843 - [new port] sysutils/php4-pfpro: Trivial patches to build php4 PayFlow Pro extension
Summary: [new port] sysutils/php4-pfpro: Trivial patches to build php4 PayFlow Pro ext...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-01 01:20 UTC by Mike Durian
Modified: 2006-01-31 23:02 UTC (History)
0 users

See Also:


Attachments
file.shar (1.21 KB, text/plain)
2005-07-01 01:20 UTC, Mike Durian
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Durian 2005-07-01 01:20:08 UTC
	Here is a patch and Makefile that add the PayFlow Pro PHP4 extension
	to the ports collection.  It is still up to the user to manually
	download and install the PayFlow Pro SDK from VeriSign.

How-To-Repeat: 	N/A
Comment 1 Pav Lucistnik freebsd_committer 2005-07-03 16:32:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to php maintainer
Comment 2 Pav Lucistnik freebsd_committer 2005-11-29 17:27:44 UTC
State Changed
From-To: open->feedback

Does not configure: 

checking for Verisign Payflow Pro support... yes, shared 
configure: error: Could not find pfpro.h. Please make sure you have the 
Verisign Payflow Pro SDK installed. Use 
./configure --with-pfpro=<pfpro-dir> if necessary 

Do you missed a dependency maybe?
Comment 3 Mike Durian 2005-11-29 17:48:24 UTC
The pfpro.h dependency is correct.  pfpro.h comes from the PayFlow Pro
SDK that is available to PayFlow Pro customers.  I'm not really sure
how to package it into a port as it includes not only a header file
and a shared library, but also some perl scripts.

The the PFP SDK download is only available to PFP customers, I'd be
happy to supply it to you to make a port that requires a manual
download.

The finance category is a better choice.  I don't think I've ever
installed anything from there myself and just missed it.

mike
Comment 4 Pav Lucistnik freebsd_committer 2005-11-29 17:53:28 UTC
Mike Durian pí¹e v út 29. 11. 2005 v 10:48 -0700:

> The pfpro.h dependency is correct.  pfpro.h comes from the PayFlow Pro
> SDK that is available to PayFlow Pro customers.  I'm not really sure
> how to package it into a port as it includes not only a header file
> and a shared library, but also some perl scripts.
> 
> The the PFP SDK download is only available to PFP customers, I'd be
> happy to supply it to you to make a port that requires a manual
> download.


Looks like someone (you?) have to provide PFP SDK port first.

Suspending this PR for now.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

A)bort, R)etry, H)it with big hammer
Comment 5 Pav Lucistnik freebsd_committer 2005-11-29 17:53:33 UTC
State Changed
From-To: feedback->suspended

Dependency is not available in ports tree (PFP SDK)
Comment 6 Mike Durian 2005-11-30 01:42:12 UTC
I just submitted a PR that contains my best attempt at a new port
for the VeriSign PayFlow Pro SDK.  Please see ports/89741.

mike
Comment 7 Mike Durian 2005-12-19 00:13:11 UTC
Here are patches to build the pfpro extension with a dependency on
finance/pfpro.

The php4 patches work fine.

The php5 version doesn't build - it looks like the module has been
removed from the PHP sources, but is available via CVS download at
http://cvs.php.net/pecl/.  I'm not sure how you get the PHP makefiles
to download an extension from the CVS source tree, so someone else will
have to add the necessary hooks.

Is there anything else that needs to happen before this can be
committed?

mike

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	lang/php4/Makefile.ext.patch
#	lang/php5/Makefile.ext.patch
#	lang/php4-extensions/Makefile.patch
#	lang/php5-extensions/Makefile.patch
#	finance/php4-pfpro/Makefile
#	finance/php5-pfpro/Makefile
#	Mk/bsd.php.mk.patch
#
echo x - lang/php4/Makefile.ext.patch
sed 's/^X//' >lang/php4/Makefile.ext.patch << 
'END-of-lang/php4/Makefile.ext.patch'
X--- Makefile.ext.orig	Sun Dec 18 16:30:11 2005
X+++ Makefile.ext	Sun Dec 18 16:33:52 2005
X@@ -259,6 +259,11 @@
X PHP_HEADER_DIRS=pcrelib
X .endif
X 
X+.if ${PHP_MODNAME} == "pfpro"
X+BUILD_DEPENDS+=	${LOCALBASE}/lib/libpfpro.so:${PORTSDIR}/finance/pfpro
X+CONFIGURE_ARGS+=--with-pfpro
X+.endif
X+
X .if ${PHP_MODNAME} == "pgsql"
X USE_PGSQL=	YES
X 
END-of-lang/php4/Makefile.ext.patch
echo x - lang/php5/Makefile.ext.patch
sed 's/^X//' >lang/php5/Makefile.ext.patch << 
'END-of-lang/php5/Makefile.ext.patch'
X--- Makefile.ext.orig	Sun Dec 18 16:33:12 2005
X+++ Makefile.ext	Sun Dec 18 16:33:44 2005
X@@ -226,6 +226,11 @@
X PHP_HEADER_DIRS=pcrelib
X .endif
X 
X+.if ${PHP_MODNAME} == "pfpro"
X+BUILD_DEPENDS+= ${LOCALBASE}/lib/libpfpro.so:${PORTSDIR}/finance/pfpro
X+CONFIGURE_ARGS+=--with-pfpro
X+.endif
X+
X .if ${PHP_MODNAME} == "pgsql"
X USE_PGSQL=	YES
X 
END-of-lang/php5/Makefile.ext.patch
echo x - lang/php4-extensions/Makefile.patch
sed 's/^X//' >lang/php4-extensions/Makefile.patch << 
'END-of-lang/php4-extensions/Makefile.patch'
X--- Makefile.orig	Sun Dec 18 16:48:41 2005
X+++ Makefile	Sun Dec 18 16:49:26 2005
X@@ -74,6 +74,7 @@
X 		PCNTL           "pcntl support (CLI only)" off \
X 		PCRE            "Perl Compatible Regular Expression support" on \
X 		PDF             "PDFlib support (implies GD)" off \
X+		PFPRO		"PayFlow Pro support" off \
X 		PGSQL           "PostgreSQL database support" off \
X 		POSIX           "POSIX-like functions" on \
X 		PSPELL          "pspell support" off \
X@@ -109,8 +110,8 @@
X 		DOMXML EXIF FILEINFO FILEPRO FRIBIDI FTP GD GETTEXT \
X 		GMP ICONV IMAGICK IMAP INTERBASE LDAP MBSTRING MCAL MCRYPT \
X 		MCVE MHASH MIME_MAGIC MING MNOGOSEARCH MSSQL MYSQL NCURSES \
X-		ODBC OPENSSL ORACLE OVERLOAD PANDA PCNTL PCRE PDF PGSQL POSIX \
X-		PSPELL READLINE RECODE SESSION SHMOP SNMP SOCKETS \
X+		ODBC OPENSSL ORACLE OVERLOAD PANDA PCNTL PCRE PDF PFPRO \
X+		PGSQL POSIX PSPELL READLINE RECODE SESSION SHMOP SNMP SOCKETS \
X 		SYBASE_CT SYSVMSG SYSVSEM SYSVSHM TOKENIZER \
X 		WDDX XML XMLRPC XSLT YAZ YP ZIP ZLIB
X 
END-of-lang/php4-extensions/Makefile.patch
echo x - lang/php5-extensions/Makefile.patch
sed 's/^X//' >lang/php5-extensions/Makefile.patch << 
'END-of-lang/php5-extensions/Makefile.patch'
X--- Makefile.orig	Sun Dec 18 16:50:03 2005
X+++ Makefile	Sun Dec 18 16:50:31 2005
X@@ -68,6 +68,7 @@
X 		PCNTL           "pcntl support (CLI only)" off \
X 		PCRE            "Perl Compatible Regular Expression support" on \
X 		PDF             "PDFlib support (implies GD)" off \
X+		PFPRO		"PayFlow Pro support" off \
X 		PGSQL           "PostgreSQL database support" off \
X 		POSIX           "POSIX-like functions" on \
X 		PSPELL          "pspell support" off \
X@@ -107,7 +108,7 @@
X 		DOM EXIF FILEINFO FILEPRO FRIBIDI FTP GD GETTEXT \
X 		GMP ICONV IMAGICK IMAP INTERBASE LDAP MBSTRING MCRYPT \
X 		MHASH MIME_MAGIC MING MSSQL MYSQL MYSQLI \
X-		NCURSES ODBC OPENSSL PANDA PCNTL PCRE PDF PGSQL POSIX \
X+		NCURSES ODBC OPENSSL PANDA PCNTL PCRE PDF PFPRO PGSQL POSIX \
X 		PSPELL READLINE RECODE SESSION SHMOP SIMPLEXML SNMP SOAP \
X 		SOCKETS SQLITE SYBASE_CT SYSVMSG SYSVSEM SYSVSHM \
X 		TIDY TOKENIZER WDDX XML XMLREADER XMLRPC XSL YAZ ZIP ZLIB
END-of-lang/php5-extensions/Makefile.patch
echo x - finance/php4-pfpro/Makefile
sed 's/^X//' >finance/php4-pfpro/Makefile << 
'END-of-finance/php4-pfpro/Makefile'
X# New ports collection makefile for:	php4-pfpro
X# Date created:			12 Dec 2005
X# Whom:				Mike Durian <durian@shadetreesoftware.com>
X#
X# $FreeBSD: $
X#
X
XCATEGORIES=	finance
XPKGNAMESUFFIX=	-pfpro
X
XCOMMENT=	PHP VeriSign PayFlow Pro credit card processing
X
XMASTERDIR=	${.CURDIR}/../../lang/php4
X
X.include "${MASTERDIR}/Makefile"
END-of-finance/php4-pfpro/Makefile
echo x - finance/php5-pfpro/Makefile
sed 's/^X//' >finance/php5-pfpro/Makefile << 
'END-of-finance/php5-pfpro/Makefile'
X# New ports collection makefile for:	php5-pfpro
X# Date created:			12 Dec 2005
X# Whom:				Mike Durian <durian@shadetreesoftware.com>
X#
X# $FreeBSD: $
X#
X
XCATEGORIES=	finance
XPKGNAMESUFFIX=	-pfpro
X
XCOMMENT=	PHP VeriSign PayFlow Pro credit card processing
X
XMASTERDIR=	${.CURDIR}/../../lang/php5
X
X.include "${MASTERDIR}/Makefile"
END-of-finance/php5-pfpro/Makefile
echo x - Mk/bsd.php.mk.patch
sed 's/^X//' >Mk/bsd.php.mk.patch << 'END-of-Mk/bsd.php.mk.patch'
X--- bsd.php.mk.orig	Sun Dec 18 17:06:44 2005
X+++ bsd.php.mk	Sun Dec 18 17:07:27 2005
X@@ -254,7 +254,7 @@
X 		exif fileinfo filepro fribidi ftp gd gettext gmp \
X 		iconv imagick imap interbase ldap mbstring mcrypt \
X 		mhash ming mssql mysql ncurses odbc \
X-		openssl panda pcntl pcre pdf pgsql posix \
X+		openssl panda pcntl pcre pdf pfpro pgsql posix \
X 		pspell radius readline recode session shmop snmp \
X 		sockets sybase_ct sysvmsg sysvsem sysvshm \
X 		tokenizer wddx xml xmlrpc yaz zip zlib
X@@ -308,6 +308,7 @@
X pcntl_DEPENDS=	devel/php${PHP_VER}-pcntl
X pcre_DEPENDS=	devel/php${PHP_VER}-pcre
X pdf_DEPENDS=	print/pecl-pdflib
X+pfpro_DEPENDS=	finance/php${PHP_VER}-pfpro
X pgsql_DEPENDS=	databases/php${PHP_VER}-pgsql
X posix_DEPENDS=	sysutils/php${PHP_VER}-posix
X pspell_DEPENDS=	textproc/php${PHP_VER}-pspell
END-of-Mk/bsd.php.mk.patch
exit
Comment 8 Pav Lucistnik freebsd_committer 2005-12-20 22:14:16 UTC
State Changed
From-To: suspended->open

Dependency is now present; patch from last audit item looks good.
Comment 9 Pav Lucistnik freebsd_committer 2006-01-31 23:02:28 UTC
State Changed
From-To: open->closed

I added the port for php4. 

No point adding port for php5 when it does not have the ext in tarball.